package com.icomsys.main_vm.biz.rcp.conversation.vo;

import com.icomsys.main_vm.db.jpa.entity.scenario.TbLongtextManager;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;

/**
 * Name : LongtextManagerVO date : 2023-01-27 author :  Mong description : =========================================================== DATE                 AUTHOR                NOTE
 * ----------------------------------------------------------- 2023-01-27                Mong             최초 생성
 */
@Data
public class LongtextManagerVO {

    private Long rfSeq;
    private int tableCode;
    private int columnCode;
    private String textContents;
    private String checksum;

    public LongtextManagerVO ofTbLongtextManager(TbLongtextManager dto){
        LongtextManagerVO result = new LongtextManagerVO();

        result.setRfSeq(dto.getRfSeq());
        result.setTableCode(dto.getTableCode());
        result.setColumnCode(dto.getColumnCode());
        result.setTextContents(dto.getTextContents());
        result.setChecksum(dto.getChecksum());
        return result;
    }

}
